# Example Gitaly configuration file

# The directory where Gitaly's executables are stored
bin_dir = "/usr/local/bin"

# The directory where Gitaly creates files and directories required at runtime.
# This includes e.g. internal sockets, the Git execution environment or
# Gitaly's hooks.
runtime_dir = "/home/git"

# listen on a TCP socket. This is insecure (no authentication)
listen_addr = "0.0.0.0:8075"

# # Optional: export metrics via Prometheus
# prometheus_listen_addr = "localhost:9236"
#

# # Git executable settings
[git]
use_bundled_binaries = true

[[storage]]
name = "default"
path = "/home/git/repositories"

# # You can optionally configure more storages for this Gitaly instance to serve up
#
# [[storage]]
# name = "other_storage"
# path = "/mnt/other_storage/repositories"
#

[auth]
token = 'gitalytokengitalytoken'

# # You can optionally configure Gitaly to output JSON-formatted log messages to stdout
[logging]
format = "json"
level = "info"
dir = "/var/log/gitaly"
# # Additionally exceptions can be reported to Sentry
#sentry_dsn = "https://<key>:<secret>@sentry.io/<project>"

# # You can optionally configure Gitaly to record histogram latencies on GRPC method calls
# [prometheus]
# grpc_latency_buckets = [0.001, 0.005, 0.025, 0.1, 0.5, 1.0, 10.0, 30.0, 60.0, 300.0, 1500.0]

[gitlab]
# location of shared secret for GitLab Shell / API interaction
secret_file = "/etc/gitaly/.gitlab_shell_secret"
# URL of API
url = "http://webservice:8080/"

[gitlab.http-settings]
# read_timeout = 300
# user = someone
# password = somepass
# ca_file = /etc/ssl/cert.pem
# ca_path = /etc/pki/tls/certs

[hooks]
# directory containing custom hooks
custom_hooks_dir = "/home/git/custom_hooks"

# # You can adjust the concurrency of each RPC endpoint
# [[concurrency]]
# rpc = "/gitaly.RepositoryService/GarbageCollect"
# max_per_repo = 1
